Bug 428412 - Review Request: freeipmi FreeIPMI is a userland implementation of the IPMI protocol
Summary: Review Request: freeipmi FreeIPMI is a userland implementation of the IPMI p...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Package Review (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: rc
: ---
Assignee: nobody nobody
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 188273 429265
TreeView+ depends on / blocked
 
Reported: 2008-01-11 10:44 UTC by Phil Knirsch
Modified: 2015-03-05 01:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-19 16:00:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Phil Knirsch 2008-01-11 10:44:47 UTC
Spec URL: http://people.redhat.com/pknirsch/RHEL-5/freeipmi.spec
SRPM URL: http://people.redhat.com/pknirsch/RHEL-5/freeipmi-0.5.1-1.fc9.src.rpm
Description: 
The FreeIPMI project provides "Remote-Console" (out-of-band) and
"System Management Software" (in-band) based on Intelligent
Platform Management Interface specification.

This package already passed the Fedora Package Review and is included in Fedora 8 as well as Fedora Development.

Comment 1 Phil Knirsch 2008-01-11 10:45:33 UTC
This review and inclusion request is based on bug #183441

Comment 2 Florian Festi 2008-01-17 16:00:25 UTC
 * rpmlint: OK
 * Package Naming Guidelines: OK
 * The spec file name: OK
 * The package must meet the Packaging Guidelines: OK
 * approved license: OK
 * The License field in the package spec file must match the actual license: OK
 * text of the license(s) must be included in %doc: OK
 * The spec file must be written in American English: OK
 * The spec file for the package MUST be legible: OK
 * The sources used to build the package must match the upstream source, as
provided in the spec URL: OK
 * The package must successfully compile and build into binary rpms on at least
one supported architecture. OK
 * `ExcludeArch`: OK, done with ExclusiveArch
 * All build dependencies must be listed in `BuildRequires`: OK
 * The spec file MUST handle locales properly: DOESN'T APPLY
 * call ldconfig: OK
 * relocatable: NO
 * A package must own all directories that it creates: OK
 * A package must not contain any duplicate files in the `%files` listing: OK
 * Permissions on files must be set properly: OK
 * Each package must have a %clean section: OK
 * Each package must consistently use macros, as described in the macros macros
section of Packaging Guidelines: OK 
 * The package must contain code, or permissable content: OK
 * Large documentation files should go in a -doc subpackage: OK, docs are small
 * %doc, it must not affect the runtime of the application: OK
 * Header files must be in a -devel package: OK
 * Static libraries must be in a -static package: OK, no statics
 * Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig': OK,
doesn't apply
 * If a package contains library files with a suffix (e.g. libfoo.so.1.1), then
library files that end in .so (without suffix) must go in a -devel package: OK
 * devel packages must require the base package using a fully versioned
dependency: OK
 * Packages must NOT contain any .la libtool archives, these should be removed
in the spec: OK
 * Packages containing GUI applications must include a %{name}.desktop file: OK,
doesn't apply
 * Packages must not own files or directories already owned by other packages: OK
 * At the beginning of `%install`, each package MUST run `rm -rf %{buildroot}`: OK
 * All filenames in rpm packages must be valid UTF-8: OK

 * If the source package does not include license text(s) as a separate file
from upstream, the packager SHOULD query upstream to include it: DOESN'T APPLY
 * The description and summary sections in the package spec file should contain
translations for supported Non-English languages, if available: NOT AVAILABLE
 * The reviewer should test that the package builds in mock: OK
 * If scriptlets are used, those scriptlets must be sane. This is vague, and
left up to the reviewers judgement to determine sanity: OK
 * Usually, subpackages other than devel should require the base package using a
fully versioned dependency: OK
 * The placement of pkgconfig(.pc) files: DOESN'T APPLY
 * file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin:
DOESN'T APPLY

TODO:
description of devel package: static libs are no longer included


Comment 3 Florian Festi 2008-01-18 12:39:01 UTC
Moving to Tracker: RHEL packages accepted, pending implementation

Comment 4 Phil Knirsch 2008-01-18 12:45:52 UTC
Fixed description for devel packages on latest build:

Spec URL: http://people.redhat.com/pknirsch/RHEL-5/freeipmi.spec
SRPM URL: http://people.redhat.com/pknirsch/RHEL-5/freeipmi-0.5.1-2.src.rpm

Read ya, Phil

Comment 5 Don Domingo 2008-04-02 02:12:21 UTC
Hi,
the RHEL5.2 release notes will be dropped to translation on April 15, 2008, at
which point no further additions or revisions will be entertained.

a mockup of the RHEL5.2 release notes can be viewed at the following link:
http://intranet.corp.redhat.com/ic/intranet/RHEL5u2relnotesmockup.html

please use the aforementioned link to verify if your bugzilla is already in the
release notes (if it needs to be). each item in the release notes contains a
link to its original bug; as such, you can search through the release notes by
bug number.

Cheers,
Don


Note You need to log in before you can comment on or make changes to this bug.